class Event extends Object {
  late int id;
  late int deviceId;
  late String type;
  late String serverTime;
  late String eventTime;
  late int positionId;
  late int geofenceId;
  late int maintenanceId;
  late Map<String, dynamic> attributes;

  Event(
      {id,
      deviceId,
      type,
      serverTime,
      eventTime,
      positionId,
      geofenceId,
      maintenanceId,
      attributes});

  Event.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    deviceId = json["deviceId"];
    type = json["type"];
    serverTime = json["serverTime"];
    eventTime = json["eventTime"];
    positionId = json["positionId"];
    geofenceId = json["geofenceId"];
    maintenanceId = json["maintenanceId"];
    attributes = json["attributes"];
  }
}
