class GeofenceModel extends Object {
  late int id;
  late Map<String, dynamic> attributes;
  late int calendarId;
  late String name;
  late String description;
  late String area;

  GeofenceModel({id, attributes, calendarId, name, description, area});

  GeofenceModel.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    attributes = json["attributes"];
    calendarId = json["calendarId"];
    name = json["name"];
    description = json["description"];
    area = json["area"];
  }

  Map<String, dynamic> toJson() => {
        'id': id,
        'attributes': attributes,
        'calendarId': calendarId,
        'name': name,
        'description': description,
        'area': area
      };
}
