class PositionModel extends Object {
  late int id;
  late int deviceId;
  late String type;
  late String protocol;
  late String serverTime;
  late String deviceTime;
  late String fixTime;
  late bool outdated;
  late bool valid;
  late double latitude;
  late double longitude;
  late double altitude;
  late double speed;
  late double course;
  late String address;
  late double accuracy;
  late bool blocked = false;
  late Map<String, dynamic> attributes;

  PositionModel(
      {id,
      deviceId,
      type,
      protocol,
      serverTime,
      deviceTime,
      fixTime,
      outdated,
      valid,
      latitude,
      longitude,
      altitude,
      speed,
      course,
      address,
      accuracy,
      blocked,
      attributes});

  PositionModel.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    deviceId = json["deviceId"];
    type = json["type"];
    protocol = json["protocol"];
    serverTime = json["serverTime"];
    deviceTime = json["deviceTime"];
    fixTime = json["fixTime"];
    outdated = json["outdated"];
    valid = json["valid"];
    latitude = json["latitude"];
    longitude = json["longitude"];
    altitude = json["altitude"];
    speed = json["speed"];
    course = json["course"];
    address = json["address"];
    accuracy = json["accuracy"];
    attributes = json["attributes"];
    blocked = json["blocked"];
  }
}
