class Stop extends Object {
  late int deviceId;
  late String deviceName;
  late double distance;
  late double averageSpeed;
  late double maxSpeed;
  late double spentFuel;
  late double startOdometer;
  late double endOdometer;
  late int positionId;
  late double latitude;
  late double longitude;
  late String startTime;
  late String endTime;
  late String address;
  late int duration;
  late int engineHours;

  Stop(
      {deviceId,
      deviceName,
      distance,
      averageSpeed,
      maxSpeed,
      spentFuel,
      startOdometer,
      endOdometer,
      positionId,
      latitude,
      longitude,
      startTime,
      endTime,
      address,
      duration,
      engineHours});

  Stop.fromJson(Map<String, dynamic> json) {
    deviceId = json["deviceId"];
    deviceName = json["deviceName"];
    distance = json["distance"];
    averageSpeed = json["distance"];
    maxSpeed = json["maxSpeed"];
    spentFuel = json["spentFuel"];
    startOdometer = json["startOdometer"];
    endOdometer = json["endOdometer"];
    positionId = json["positionId"];
    latitude = json["latitude"];
    longitude = json["longitude"];
    startTime = json["startTime"];
    endTime = json["endTime"];
    address = json["address"];
    duration = json["duration"];
    engineHours = json["engineHours"];
  }
}
