import 'dart:collection';

import 'package:traccar_gennissi/traccar_gennissi.dart';

class AppState {
  late Map<int, Device> devices;
  late Map<int, PositionModel> positions;
  late PositionModel position;
  late List<Event> events;
  late Map<int, GeofenceModel> geofences;

  AppState(
      {required this.devices,
      required this.positions,
      //required this.position,
      required this.events,
      required this.geofences});

  AppState.initialState() {
    devices = new HashMap();
    positions = new HashMap();
    geofences = new HashMap();
    position = new PositionModel();
    events = [];
  }
}
