class Trip extends Object {
  late int deviceId;
  late String deviceName;
  late double distance;
  late double averageSpeed;
  late double maxSpeed;
  late double spentFuel;
  late double startOdometer;
  late double endOdometer;
  late int startPositionId;
  late int endPositionId;
  late double startLat;
  late double startLon;
  late double endLat;
  late double endLon;
  late String startTime;
  late String startAddress;
  late String endTime;
  late String endAddress;
  late int duration;
  late String driverUniqueId;
  late String driverName;

  Trip(
      {deviceId,
      deviceName,
      distance,
      averageSpeed,
      maxSpeed,
      spentFuel,
      startOdometer,
      endOdometer,
      startPositionId,
      endPositionId,
      startLat,
      startLon,
      endLat,
      endLon,
      startTime,
      startAddress,
      endTime,
      endAddress,
      duration,
      driverUniqueId,
      driverName});

  Trip.fromJson(Map<String, dynamic> json) {
    deviceId = json["deviceId"];
    deviceName = json["deviceName"];
    distance = json["distance"];
    averageSpeed = json["averageSpeed"];
    maxSpeed = json["maxSpeed"];
    spentFuel = json["spentFuel"];
    startOdometer = json["startOdometer"];
    endOdometer = json["endOdometer"];
    startPositionId = json["startPositionId"];
    endPositionId = json["endPositionId"];
    startLat = json["startLat"];
    startLon = json["startLon"];
    endLat = json["endLat"];
    endLon = json["endLon"];
    startTime = json["startTime"];
    startAddress = json["startAddress"];
    endTime = json["endTime"];
    endAddress = json["endAddress"];
    duration = json["duration"];
    driverUniqueId = json["driverUniqueId"];
    driverName = json["driverName"];
  }
}
